Subject: Re: git svn already set … wanted to set to:

From: DimanNe <[email-masked]>
Date: Tue, 29 Oct 2013 18:14:51 +0400

> What does your config look like now?

[core]
        repositoryformatversion = 0
        filemode = true
        bare = false
        logallrefupdates = true

[svn-remote "svn"]
        url = https://some_host/trunk/
        fetch = :refs/remotes/git-svn

[merge]
        renameLimit = 50000

[svn-remote "stable-2012-09-13"]
        url = https://some_host/branches/stable-2012-09-13/
        fetch = :refs/remotes/stable-2012-09-13

29.10.2013, 11:25, "Thomas Rast" <[email-masked]>:
> DimanNe <[email-masked]> writes:
>
>>  I am trying to clone/fetch svn branch with git-svn:
>>
>>  git config --add svn-remote.stable-2012-03-29.url https://some_host/branch
>>  git config --add svn-remote.stable-2012-03-29.fetch :refs/remotes/stable-2012-03-29
>>  git svn fetch stable-2012-03-29
>>
>>  which gives me this error message:
>>
>>  svn-remote.stable-2012-03-29.url already set:
>>  https://some_host/branch/ wanted to set to: https://some_host/
>>
>>  I know that I probably can fix this by re-fetching all svn-repo from
>>  scratch, but it will take months or even years (due to size of repo).
>
> What does your config look like now?
>
> You should have only one svn-remote with one url, but it can have
> multiple .fetch entries.  To fetch all branches, you can also just
> configure its .branches.
>
> --
> Thomas Rast
> [email-masked]